## dvrescue_24.07.20251013_AllInclusive.7z

=== ffmpeg/libswscale/loongarch/Makefile ===
OBJS-$(CONFIG_SWSCALE)      += loongarch/swscale_init_loongarch.o
LASX-OBJS-$(CONFIG_SWSCALE) += loongarch/swscale_lasx.o \
                               loongarch/input_lasx.o   \
                               loongarch/yuv2rgb_lasx.o \
                               loongarch/rgb2rgb_lasx.o \
                               loongarch/output_lasx.o
